### Function

# Secret password_search

#### Declaration [src]

    void
    secret_password_search (
      const SecretSchema* schema,
      SecretSearchFlags flags,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data,
      ...
    )

#### Description [src]

Search for items in the secret service.

The variable argument list should contain pairs of a) The attribute name as a null-terminated string, followed by b) attribute value, either a character string, an int number, or a gboolean value, as defined in the password `schema`. The list of attributes should be terminated with a `NULL`.

This method will return immediately and complete asynchronously.

Available since: | 0.19.0
This function is not directly available to language bindings
The implementation of this function is provided by `secret_password_searchv()` in language bindings

#### Parameters

`schema` | `SecretSchema`
| The schema for the attributes.
| The data is owned by the caller of the function.
`flags` | `SecretSearchFlags`
| Search option flags.
`cancellable` | `GCancellable`
| Optional cancellation object.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`callback` | `GAsyncReadyCallback`
| Called when the operation completes.
| The argument can be `NULL`.
`user_data` | `gpointer`
| Data to be passed to the callback.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`...` | ``
| The attribute keys and values, terminated with `NULL`.